package no.valg.valgnatt.database.domene;

/**
 * Opptaltstatus har følgende verdier
 * 0.	Ingen resultater innsendt
 * 1.	Bare foreløpige fhs innsendt
 * 2.	Bare endelige fhs innsendt
 * 3.	Bare foreløpige vts innsendt
 * 4.	Bare endelige vts innsendt
 * 5.	Både foreløpige fhs og foreløpige vts innsendt
 * 6.	Både endelige fhs og foreløpige vts innsendt
 * 7.	Både foreløpige fhs og endelige vts innsendt
 * 8.	Både endelige fhs og endelige vts innsendt
 * 9.   Oppgjør - kretsen er absolutt helt ferdig opptalt
 */
public enum OpptaltStatus {
    INGEN(0),
    BARE_FHS_FORELØPIG(1),
    BARE_FHS_ENDELIG(2),
    BARE_VTS_FORELØPIG(3),
    BARE_VTS_ENDELIG(4),
    ALLE_FORELØPIG(5),
    FHS_END_VTS_FPG(6),
    FHS_FPG_VTS_END(7),
    ALLE_ENDELIG(8),
    OPPGJØR(9);

    private final int status;

    OpptaltStatus(int status) {
        this.status = status;
    }

    public int getStatus() {
        return status;
    }
}
